// This program is designed for OKI-E5003 board
// It shows how to get LAN ID code

#include <ioml67q5003.h>
#include "lan.h"
#include "system.h"

// simple delay
void Delay (unsigned long a) { while (--a!=0); }

unsigned short Data    = 0x0;

int main()
{

  // Freq init
  FreqInit();
  // Init Led
  InitLAN();

  /// READ LAN ID by 8 bits bus
  Data = 0x0;
  WriteWord(0xA,0x0);
  Data = ReadWord(0xC);

  Data = 0x0;
  WriteWord(0xA,0x2);
  Data = ReadWord(0xC);

  /// READ LAN ID by 16 bits bus
  Data = 0x0;
  WriteWord16(0xA,0x0);
  Data = ReadWord16(0xC);

  Data = 0x0;
  WriteWord16(0xA,0x2);
  Data = ReadWord16(0xC);

  // loop forever
  while(1) {

  }
}
